RHEL 6:eap6-jboss-ec2-eap (RHSA-2018:1451)

critical Nessus 插件 ID 109838

简介

远程 Red Hat 主机缺少一个或多个安全更新。

描述

jboss-ec2-eap 的更新现在可用于 Red Hat Enterprise Linux 6 的 Red Hat JBoss Enterprise Application Platform 6.4。Red Hat 产品安全团队将此更新评级为具有重要安全影响。可从“参考”部分中的 CVE 链接获取通用漏洞评分系统 (CVSS) 基本分数,其针对每个漏洞给出了详细的严重性等级。jboss-ec2-eap 程序包为 Amazon Web Services (AWS) Elastic Compute Cloud (EC2) 上运行的 Red Hat JBoss Enterprise Application Platform 提供脚本。通过此更新,已更新 jboss-ec2-eap 程序包以确保兼容 Red Hat JBoss Enterprise Application Platform 6.4.19。安全修复:* jackson-databind:黑名单不完全造成反序列化不安全(CVE-2017-7525 修复不完全) (CVE-2017-15095) * jackson-databind:黑名单不完全造成反序列化不安全(CVE-2017-15095 修复不完全) (CVE-2017-17485) * slf4j:EventData 构造函数中的反序列化漏洞允许任意代码执行 (CVE-2018-8088) * Apache ActiveMQ Artemis:不受信任的输入反序列化漏洞 (CVE-2016-4978) * solr:通过索引复制 HTTP API 实现目录遍历 (CVE-2017-3163) * tomcat:错误处理安全限制中的空字符串 URL 可能导致资源意外暴露 (CVE-2018-1304) * jackson-databind:CVE-2017-7525 修复不完全,使通过 c3p0 库的序列化不安全 (CVE-2018-7489) 有有关此安全问题的详细信息,包括其影响、CVSS 分数和其他相关信息,请参阅列于“参考”部分的 CVE 页面。Red Hat 在此感谢 Liao Xinxi (NSFOCUS) 报告 CVE-2017-15095,0c0c0f 来自 360Guan Xing Shi Yan Shi 报告 CVE-2017-17485,以及 Chris McCown 报告 CVE-2018-8088。

解决方案

更新受影响的 jboss-ec2-eap 和/或 jboss-ec2-eap-samples 程序包。

另见

https://access.redhat.com/documentation/en-us/

https://access.redhat.com/errata/RHSA-2018:1451

https://access.redhat.com/security/cve/cve-2016-4978

https://access.redhat.com/security/cve/cve-2017-3163

https://access.redhat.com/security/cve/cve-2017-15095

https://access.redhat.com/security/cve/cve-2017-17485

https://access.redhat.com/security/cve/cve-2018-1304

https://access.redhat.com/security/cve/cve-2018-7489

https://access.redhat.com/security/cve/cve-2018-8088

插件详情

严重性: Critical

ID: 109838

文件名: redhat-RHSA-2018-1451.nasl

版本: 1.7

类型: local

代理: unix

发布时间: 2018/5/16

最近更新时间: 2019/10/24

支持的传感器: Agentless Assessment, Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure, Nessus Agent

风险信息

VPR

风险因素: High

分数: 7.4

CVSS v2

风险因素: High

基本分数: 7.5

矢量: AV:N/AC:L/Au:N/C:P/I:P/A:P

CVSS v3

风险因素: Critical

基本分数: 9.8

矢量: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

漏洞信息

CPE: p-cpe:/a:redhat:enterprise_linux:jboss-ec2-eap, p-cpe:/a:redhat:enterprise_linux:jboss-ec2-eap-samples, cpe:/o:redhat:enterprise_linux:6

必需的 KB 项: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

补丁发布日期: 2018/5/14

漏洞发布日期: 2016/9/27

参考资料信息

CVE: CVE-2016-4978, CVE-2017-15095, CVE-2017-17485, CVE-2017-3163, CVE-2018-1304, CVE-2018-7489, CVE-2018-8088

RHSA: 2018:1451